Overview

Getting Started

MARKETPLACE

Widgets

Find Pros

Categories

Keywords

Requests

Leads

Messages

On-Demand Orders

Reviews

User Accounts

PRO INTEGRATIONS

Leads

Messages

Reviews

Pro Profiles

Business Phone Numbers

Manage Webhooks

Testing Your Pro Integration

Support

Changelog

Terms and Policies

Categories

Browse Thumbtack categories. Get popular categories by zip code, home care checklists by property type, and request form fields for any category.

Overview

Categories are the most granular service a Pro might provide. The Categories API supports several operations, outlined below.

Get Category Recommendations

In order to fetch Categories from Thumbtack, you will need to provide a zipCode and recommendationType.
For example, if you wanted to fetch Popular Categories for zipCode 90210, you would issue the following request:
GET /api/v4/categories/recommendations?zipCode=90210&recommendationType=popular&utmData[utm_source]={{utm_source}}&limit=1 HTTP/2
authorization: Bearer {{clientCredentials}}
{
"data": [
{
"categoryID": "219264413294461288",
"name": "House Cleaning",
"nearMeURL": "https://thumbtack.com/k/house-cleaning/near-me?utm_medium=partnership&utm_source={{your utm_source}}",
"imageURL": "https://production-next-images-cdn.thumbtack.com/i/498412289313030155/small/standard/hero",
"activeServices": 57
}
]
}

Get Homecare Checklist

Certain Partners may wish to display Categories based on a provided Property Type.
For example, if you wanted to show relevant Categories for Townhouses in zipCode 90210, you would issue the following request:
GET /api/v4/categories/homecare?zipCode=90210&propertyType=townhouse&utmData[utm_source]={{utm_source}} HTTP/2
authorization: Bearer {{clientCredentials}}
{
"data": [
{
"categoryID": "124319844707721647",
"name": "Outdoor Landscaping and Design",
"nearMeURL": "https://thumbtack.com/k/landscaping/near-me?utm_medium=partnership&utm_source={{your utm_source}}",
"imageURL": "https://production-next-images-cdn.thumbtack.com/i/323234851485638725/small/standard/hero",
"taskID": "422486850969493532",
"taskDetails": {
"title": "Trim trees",
"description": "Tree trimming is one of the best ways to protect your home from fire and roof damage. Reducing brush prolongs the life of your roof, cuts down on potential fire hazards, and minimizes the chances of wildlife moving into your trees (or your attic).",
"tagline": "IMPROVES_SAFETY",
"avgCost": {
"min": 490,
"max": 490
}
},
"activeServices": 11
},
...
]
}

Get Request Form Data

Each Pro on Thumbtack may support several different Categories. For example, a Pro that is a Painter would support both Interior Painting and Exterior Painting. When booking a Pro through Thumbtack, depending on the specified Category you are booking said Pro for, different Questions will be presented when booking said Pro. These Questions (and associated Answers) are what comprise our Request Form - the Form that is presented to users on Thumbtack when both searching for a Pro and booking a Pro.
Partners may wish to be able to leverage our Request Flow themselves and present the Questions and Answers to their users to return Pros that are guaranteed to be compatible with the Answers provided.
GET /api/v4/categories/{{categoryID}}/request-form HTTP/2
authorization: Bearer {{clientCredentials}}
{
"requestFormID": "544996164131651584",
"questions": [
...
]
}

Last Updated: Apr 22nd, 2026